#!/bin/sh
set -e

INSTALL_DIR=$1

SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")     # path where this script is located in

make -C ${SCRIPTPATH} clean
make -C ${SCRIPTPATH} CPU=x86_64 MAJOR=${MAJOR} MINOR=${MINOR} PATCH=${PATCH} -j4

mkdir -p ${INSTALL_DIR}
cp -r ${SCRIPTPATH}/build/include ${INSTALL_DIR}
cp -r ${SCRIPTPATH}/build/lib ${INSTALL_DIR}